/* 
 * Copyright (C) 2004 Volker Stroebel <mmv1@planetpenguin.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
#ifndef _AUDIO_CONFIG_H
#define _AUDIO_CONFIG_H

#include "configmode.h"

#include "ppgltk/listbox.h"
#include "ppgltk/checkbox.h"

typedef struct{
	char name[8];
	int data;
}bps_t, freq_t;

class AudioConfig : public ConfigMode
{
	pp::Listbox<bps_t> *bpsListbox;
	pp::Listbox<freq_t> *freqListbox;
	
	std::list<bps_t> bpsList;
	std::list<freq_t> freqList;
	
	pp::CheckBox *audioBox;
	pp::CheckBox *soundBox;
	pp::CheckBox *musicBox;
	pp::CheckBox *stereoBox;
			
public:
	AudioConfig();
	~AudioConfig();

	void setWidgetPositions();
	void apply();
};



#endif // AUDIO_CONFIG_H
