/* 
 * PPRacer 
 * Copyright (C) 2004 Volker Stroebel <mmv1@planetpenguin.de>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include "loop.h"

#include "ppgltk/button.h"


class Configuration : public GameMode
{
	pp::Button *graphicsBtn;
	pp::Button *videoBtn;
	pp::Button *audioBtn;
	pp::Button *keyboardBtn;	
	
	pp::Button *backBtn;
		
public:
	Configuration();
	~Configuration();

	void loop(double timeStep);
	void setWidgetPositions();

	bool keyPressEvent(unsigned int key);

	void back();
	void graphics();
	void video();
	void audio();
	void keyboard();
};


#endif // CONFIGURATION_H
