/* 
 * PPRacer 
 * Copyright (C) 2003-2004 The PPRacer Team
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef EVENT_RACE_SELECT_H
#define EVENT_RACE_SELECT_H

#include "loop.h"

#include "course_mgr.h"

#include "ppgltk/ssbutton.h"
#include "ppgltk/listbox.h"
#include "ppgltk/textarea.h"

#include "player.h"


class EventRaceSelect : public GameMode
{
	pp::Textarea *desc_ta;
	pp::Listbox<CourseData> *race_listbox;
	pp::Button  *back_btn;
	pp::Button  *start_btn;
	pp::SSButton *conditions_ssbtn;
	pp::SSButton *snow_ssbtn;
	pp::SSButton *wind_ssbtn;
	pp::SSButton *mirror_ssbtn;
	
	PlayerCourseData data; 

	enum {
		DEAD,
		RACEWON,
		PLAYABLE,
		UNPLAYABLE		
	} state;
	
	void updateStates();
	
	void setWidgetPositionsAndDrawDecorations();	
	void drawStatusMsg( int x_org, int y_org, int box_width, int box_height );

public:
	EventRaceSelect();
	~EventRaceSelect();

	void loop(double timeStep);

	void start();
	void back();
	void listboxItemChange();

	bool keyPressEvent(SDLKey key);

};



#endif // _EVENT_RACE_SELECT_H
